/*****************************************************************************
 * Multicore_Led_Blink_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "Multicore_Led_Blink_Core0.h"

//#define ARM_SHARC2 			//Uncomment this when booting ARM and SHARC2 cores alone(bypass SHARC1)

void Init_LEDs(void);
void delay(int n);
int i;

void adi_mmu_Init()
{
	asm("nop;");
}

int main()
{
		adi_initComponents();

		adi_core_enable(ADI_CORE_SHARC0);
		adi_core_enable(ADI_CORE_SHARC1);

#ifdef ARM_SHARC2
		*pREG_RCU0_MSG |= 0x00200000;// this sets the SECINIT bit.
#endif
		Init_LEDs();

		/*Toggle LED 10*/
		while(1)
		{
			*pREG_PORTE_DATA_SET=(((1<<BITP_PORT_DATA_PX13) & BITM_PORT_DATA_PX13));
			delay(5000000);

			*pREG_PORTE_DATA_CLR = (((1<<BITP_PORT_DATA_PX13) & BITM_PORT_DATA_PX13));
			delay(5000000);
		}

		return 0;
}

void Init_LEDs(void)
{
	//LED 10
		*pREG_PORTE_FER_CLR = (((1<<BITP_PORT_DATA_PX13) & BITM_PORT_DATA_PX13));

		*pREG_PORTE_DIR_SET = (((1<<BITP_PORT_DATA_PX13) & BITM_PORT_DATA_PX13));

		*pREG_PORTE_DATA_CLR =(((1<<BITP_PORT_DATA_PX1) & BITM_PORT_DATA_PX1));
}

void delay(int n)
{
		while(n--);
}
