/*****************************************************************************
 * ADSP_SC573_LED_Blink_Core2.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "ADSP_SC573_LED_Blink_Core2.h"


int main(int argc, char *argv[])
{

	adi_initComponents();
	
	Init_LEDs();

	for(i=0;i<5;i++)
	{
		*pREG_PORTE_DATA_SET=(((1<<BITP_PORT_DATA_PX1) & BITM_PORT_DATA_PX1));

		delay(5000000);

		*pREG_PORTE_DATA_CLR = (((1<<BITP_PORT_DATA_PX1) & BITM_PORT_DATA_PX1));

		delay(5000000);
	}

	return 0;
}

void Init_LEDs(void)
{
	*pREG_PORTE_FER_CLR = (((1<<BITP_PORT_DATA_PX1) & BITM_PORT_DATA_PX1));

	*pREG_PORTE_DIR_SET = (((1<<BITP_PORT_DATA_PX1) & BITM_PORT_DATA_PX1));

	*pREG_PORTE_DATA_CLR =(((1<<BITP_PORT_DATA_PX1) & BITM_PORT_DATA_PX1));
}

void delay(int n)
{
	while(n--);
}
