
/*****************************************************************************
 * OTP_Key_Programming.h
 *****************************************************************************/

#ifndef __OTP_KEY_PROGRAMMING_H__
#define __OTP_KEY_PROGRAMMING_H__

#include <sys/platform.h>
#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>

#include <cdefSC57x_rom.h>
#include <cdefSC57x_rom_otpLayout.h>
#include <defSC57x_rom.h>
#include <defSC57x_rom_jumptable.h>


#include "adi_initialize.h"
#define ssync() asm("DSB");
#include <builtins.h>


void mem_read_via_otp_ecc_disabled(uint32_t *out_ptr_data,uint32_t *out_ptr_ecc,uint32_t addr);
void Engmode3_Enable(void);
bool otp_pgm_data_ecc_disabled(uint32_t data[], uint16_t offset, uint32_t sizeIn32bitWords);
void Dual_Bit_error_ISR(void);
bool otp_pgm_data_ecc_enabled(uint32_t data[], uint16_t offset, uint32_t sizeIn32bitWords);

static void Program_GP1(otp_data *iData, uint32_t *iRead_Pre_Stat,uint32_t *Program_Address, uint32_t *iRead_Post_Stat);

#endif /* __OTP_KEY_PROGRAMMING_H__ */
